/*
 * Point2DSer.java
 *
 * Copyright (c) 2005 Bernhard Fischer.
 * This file is part of TopGMap. TopGMap is free software; it is
 * published under the terms of the GNU General Public License.
 */

package de.bfisch.geom;

import java.awt.geom.Point2D;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;


public class Point2DSer extends Point2D.Double implements Serializable {
    
    // Id determined by program `serialver
    private static final long serialVersionUID = -8019348517602102114L;
    
    
    public Point2DSer(Point2D p) {
        super(p.getX(), p.getY());
    }
    
    
    private void writeObject(ObjectOutputStream out) throws IOException {
        out.defaultWriteObject();
        out.writeDouble(getX());
        out.writeDouble(getY());
    }
    
    
    private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException {
        in.defaultReadObject();
        double x = in.readDouble();
        double y = in.readDouble();
        setLocation(x, y);
    }

}