/*
 * LogEntryFormat.java
 *
 * Copyright (c) 2005 Bernhard Fischer.
 * This file is part of TopGMap. TopGMap is free software; it is
 * published under the terms of the GNU General Public License.
 */

package de.bfisch.gis;

import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import de.bfisch.util.Logger;


public class LogEntryFormat {
    
    private static LogEntryFormat instance = null;
    
    private String timestampPattern = "HH:mm:ss.SSS";
    private SimpleDateFormat timestampFormat = new SimpleDateFormat(timestampPattern);
    
    private String distPattern = "0.##";
    private DecimalFormat distFormat = new DecimalFormat(distPattern);
    
    
    public LogEntryFormat() {
    }
    
    
    public static LogEntryFormat getInstance() {
        if (instance == null) {
            instance = new LogEntryFormat();
        }
        return instance;
    }
    
    
    public String formatTimeStamp(long time) {
        Date timestamp = new Date(time);
        String timeStampStr = timestampFormat.format(timestamp);
        return timeStampStr;
    }
    
    
    public String formatLogLevel(int logLevel) {
        String logLevelStr = Logger.getLevelAsString(logLevel);
        return logLevelStr;        
    }
    
    
    public String formatDistance(double dist) {
        String distStr = distFormat.format(dist);
        return distStr;
    }
    
}
