/*
 * BasicTableCellRenderer.java
 *
 * Copyright (c) 2005 Bernhard Fischer.
 * This file is part of TopGMap. TopGMap is free software; it is
 * published under the terms of the GNU General Public License.
 */

package de.bfisch.swing;

import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;


public class BasicTableCellRenderer extends DefaultTableCellRenderer {
    
    private TableFormatter tableFormatter;
    private JTable table;
    private int row;
    private int col;
    
    
    public BasicTableCellRenderer(TableFormatter tableFormatter) {
        super();
        this.tableFormatter = tableFormatter;
    }

    
    public Component getTableCellRendererComponent(JTable table, Object value,
            boolean isSelected, boolean hasFocus, int row, int column) {
        this.table = table;
        this.row   = row;
        this.col   = column;
        Component renderer =
            super.getTableCellRendererComponent(table, value, isSelected, hasFocus, row, column);
        return renderer;
    }
    
    
    public void setValue(Object value) {
        String valueStr = tableFormatter.valueToData(table, value, row, col);
        setText(valueStr);
    }
    
}
