/*
 * NameExtFileFilter.java
 *
 * Copyright (c) 2005 Bernhard Fischer.
 * This file is part of TopGMap. TopGMap is free software; it is
 * published under the terms of the GNU General Public License.
 */

package de.bfisch.swing;

import java.io.File;

import javax.swing.filechooser.FileFilter;

import de.bfisch.io.FileUtils;


public class NameExtFileFilter extends FileFilter {
    
    private String nameExt;
    
    
    public NameExtFileFilter(String nameExt) {
        this.nameExt = nameExt;
    }
    
    
    public boolean accept(File f) {
        String pathName = f.getPath();
        return nameExt.equalsIgnoreCase(FileUtils.nameExt(pathName));
    }
    
    
    public String getDescription() {
        return nameExt + "-Dateien (*." + nameExt + ")";
    }
    
    
    public String getNameExt() {
        return nameExt;
    }
    
}
