/*
 * TablePopupMenuHandler.java
 *
 * Copyright (c) 2005 Bernhard Fischer.
 * This file is part of TopGMap. TopGMap is free software; it is
 * published under the terms of the GNU General Public License.
 */

package de.bfisch.swing;

import java.awt.Component;
import java.awt.EventQueue;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JPopupMenu;
import javax.swing.JTable;


public class TablePopupMenuHandler extends MouseAdapter {
    
    private JPopupMenu popupMenu;
    
    
    public TablePopupMenuHandler(JPopupMenu popupMenu) {
        this.popupMenu = popupMenu;
    }
    
    
    public void mousePressed(MouseEvent e) {
        showPopupMenu(e);
    }
    
    
    public void mouseReleased(MouseEvent e) {
        showPopupMenu(e);
    }
    
    
    private void showPopupMenu(final MouseEvent e) {
        final Component comp = e.getComponent();
        if (e.isPopupTrigger()) {
            JTable table = (JTable)comp;
            int popupRow = table.rowAtPoint(e.getPoint());
            int popupCol = table.columnAtPoint(e.getPoint());
            if (!table.isRowSelected(popupRow)) {
                table.changeSelection(popupRow, popupCol, false, false);
            }
            popupMenu.show(comp,
 	    	   	   e.getX(), e.getY());
        }
    }
    
}
